Subject: Re: [PATCH net v2] net: team: get rid of team->lock in team module

From: Jakub Kicinski <[email-masked]>
Date: Wed, 4 Oct 2023 06:52:07 -0700

On Sat, 16 Sep 2023 13:11:15 +0000 Taehee Yoo wrote:
> The purpose of team->lock is to protect the private data of the team
> interface. But RTNL already protects it all well.
> The precise purpose of the team->lock is to reduce contention of
> RTNL due to GENL operations such as getting the team port list, and
> configuration dump.

FTR I like this patch. My understanding is that team has relatively
low adoption (RHEL dropped the support completely?). The granular
lock is not necessary.

We're spending time trying to preserve and unnecessary optimization
in rarely used driver :(